import { AxiosInstance } from 'axios';
import { CreateAssetProps, AssetProps } from '../../entities/asset';
import { GetEnvironmentParams } from './environment';
import { QueryParams, CollectionProp } from './common-types';
export declare type GetManyAssetsParams = GetEnvironmentParams & QueryParams;
export declare const get: (http: AxiosInstance, params: GetEnvironmentParams & {
    assetId: string;
} & QueryParams) => Promise<AssetProps>;
export declare const getMany: (http: AxiosInstance, params: GetManyAssetsParams) => Promise<CollectionProp<AssetProps>>;
export declare const update: (http: AxiosInstance, params: GetEnvironmentParams & {
    assetId: string;
}, rawData: AssetProps, headers?: Record<string, unknown> | undefined) => Promise<AssetProps>;
export declare const del: (http: AxiosInstance, params: GetEnvironmentParams & {
    assetId: string;
}) => Promise<any>;
export declare const publish: (http: AxiosInstance, params: GetEnvironmentParams & {
    assetId: string;
}, rawData: AssetProps) => Promise<AssetProps>;
export declare const unpublish: (http: AxiosInstance, params: GetEnvironmentParams & {
    assetId: string;
}) => Promise<AssetProps>;
export declare const archive: (http: AxiosInstance, params: GetEnvironmentParams & {
    assetId: string;
}) => Promise<AssetProps>;
export declare const unarchive: (http: AxiosInstance, params: GetEnvironmentParams & {
    assetId: string;
}) => Promise<AssetProps>;
export declare const create: (http: AxiosInstance, params: GetEnvironmentParams, rawData: CreateAssetProps) => Promise<AssetProps>;
export declare const createWithId: (http: AxiosInstance, params: GetEnvironmentParams & {
    assetId: string;
}, rawData: CreateAssetProps) => Promise<AssetProps>;
