import { AxiosInstance } from 'axios';
import { CreateEntryProps, EntryProps } from '../../entities/entry';
import { GetEnvironmentParams } from './environment';
import { QueryParams, CollectionProp } from './common-types';
export declare type GetManyEntriesParams = GetEnvironmentParams & QueryParams;
export declare const get: <T extends Record<string, any> = Record<string, any>>(http: AxiosInstance, params: GetEnvironmentParams & {
    entryId: string;
} & QueryParams) => Promise<EntryProps<T>>;
export declare const getMany: <T extends Record<string, any> = Record<string, any>>(http: AxiosInstance, params: GetManyEntriesParams) => Promise<CollectionProp<EntryProps<T>>>;
export declare const update: <T extends Record<string, any> = Record<string, any>>(http: AxiosInstance, params: GetEnvironmentParams & {
    entryId: string;
}, rawData: EntryProps<T>, headers?: Record<string, unknown> | undefined) => Promise<EntryProps<T>>;
export declare const del: (http: AxiosInstance, params: GetEnvironmentParams & {
    entryId: string;
}) => Promise<any>;
export declare const publish: <T extends Record<string, any> = Record<string, any>>(http: AxiosInstance, params: GetEnvironmentParams & {
    entryId: string;
}, rawData: EntryProps<T>) => Promise<EntryProps<T>>;
export declare const unpublish: <T extends Record<string, any> = Record<string, any>>(http: AxiosInstance, params: GetEnvironmentParams & {
    entryId: string;
}) => Promise<EntryProps<T>>;
export declare const archive: <T extends Record<string, any> = Record<string, any>>(http: AxiosInstance, params: GetEnvironmentParams & {
    entryId: string;
}) => Promise<EntryProps<T>>;
export declare const unarchive: <T extends Record<string, any> = Record<string, any>>(http: AxiosInstance, params: GetEnvironmentParams & {
    entryId: string;
}) => Promise<EntryProps<T>>;
export declare const create: <T extends Record<string, any> = Record<string, any>>(http: AxiosInstance, params: GetEnvironmentParams & {
    contentTypeId: string;
}, rawData: Pick<EntryProps<T>, "fields">) => Promise<EntryProps<T>>;
export declare const createWithId: <T extends Record<string, any> = Record<string, any>>(http: AxiosInstance, params: GetEnvironmentParams & {
    entryId: string;
    contentTypeId: string;
}, rawData: Pick<EntryProps<T>, "fields">) => Promise<EntryProps<T>>;
