import { AxiosInstance } from 'axios';
import { EnvironmentProps, CreateEnvironmentProps } from '../../entities/environment';
import { GetSpaceParams } from './space';
import { CollectionProp, PaginationQueryParams } from './common-types';
export declare type GetEnvironmentParams = GetSpaceParams & {
    environmentId: string;
};
export declare const get: (http: AxiosInstance, params: GetEnvironmentParams) => Promise<EnvironmentProps>;
export declare const getMany: (http: AxiosInstance, params: GetSpaceParams & PaginationQueryParams) => Promise<CollectionProp<EnvironmentProps>>;
export declare const update: (http: AxiosInstance, params: GetEnvironmentParams, rawData: EnvironmentProps, headers?: Record<string, unknown> | undefined) => Promise<EnvironmentProps>;
export declare const del: (http: AxiosInstance, params: GetEnvironmentParams) => Promise<any>;
export declare const create: (http: AxiosInstance, params: GetSpaceParams, rawData: CreateEnvironmentProps, headers?: Record<string, unknown> | undefined) => Promise<EnvironmentProps>;
export declare const createWithId: (http: AxiosInstance, params: GetEnvironmentParams & {
    sourceEnvironmentId?: string;
}, rawData: CreateEnvironmentProps, headers?: Record<string, unknown> | undefined) => Promise<EnvironmentProps>;
